Berkeley DB version 4.8.30

## com.sleepycat.persist.evolve
Class DeletedClassException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sleepycat.persist.evolve.DeletedClassException

All Implemented Interfaces:
  Serializable

    public class DeletedClassException

extends RuntimeException

While reading from an index, an instance of a deleted class version was encountered.

See Also:
  `Class Evolution`, Serialized Form

Constructor Summary
`DeletedClassException(String msg)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeletedClassException

    public DeletedClassException(String msg)

Berkeley DB version 4.8.30

Copyright (c) 1996-2009 Oracle. All rights reserved.